// Автор: ELForcer
// Дата оптимизации: 21.04.2023
const RootComponent = {
  data() {
    return {
  
      //Цвета
      M_Red: false,
      M_Green: false,
      M_Blue: false,
      M_Yellow: false,

      //Модальные переменные
      ModalTitleThread: "",
      ModalTitle2: "Запуск",
      ModalBodyText2: "Пожалуйста, подождите...",
      ModalBodyThread: "",
      ThreadMessage: "",
      ThreadVars: {
        message: '',
        HTML: "",
        Started: false,
      },
    }; //return
  }, //data

  //===========================================================================
  methods: {
    //-------------------------------------------------------------------------
   
   
  }, // END metods

  //===========================================================================
  mounted() {
    ThreadVars = this.ThreadVars;
  }, // mounted()
}; // Vue

//Монтируем Vue как vueapp начиная с тега #vueapp
vueapp = Vue.createApp(RootComponent).mount("#vueapp");
